Packages - Bug #3256

[pcr/iceweasel-vimperator] remove deprecated package
2022-04-24 02:09 AM - gap

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Its last commit was in 2020: https://github.com/vimperator/vimperator-labs

History

#1 - 2022-04-24 04:49 AM - bill-auger

"deprecated" is a vacuous term for something that still
works - the only important questions to ask is "does it still
work?" - if it still works, then people can still use it - if it
does not work, then it should be fixed (if people want to
continue using it), or removed (if it can not be fixed)

so before closing this bug report - we should determine "does it
still work?"

#2 - 2022-04-24 12:16 PM - gap

No, from the README.md file:
Vimperator will stop working in up-to-date copies of Firefox with the release of Firefox 57 on November 14th due to a large breaking change in
how extensions and add-ons are written (#705).

("November 14th" appears to be years ago, and the "# 705" reference is for the GitHub page, not our Redmine instance.)

| also installed it yesterday and it didn't automatically appear in Iceweasel like HTTPS Everywhere, uBlock Origin, or NoScript, which seems to
confirm this.

#3 - 2022-04-25 08:17 AM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

excellent - good to have that documented

S0, in this case, "obsolete" is more appropriate than "deprecated" - mozilla dropped support for it; so it is not possible to use it in any parabola
browser - "deprecated"” implies that it still works; but that the maker suggests, that it should not be used

o/c, it is obsolete only in the context of parabola - it can still be used with the UXP-based browsers

#4 - 2022-04-25 09:11 AM - gap

For the people who want vi-like keybindings and behaviour in Mozilla-derived browsers, we should be cleaning up the currently-blacklisted
firefox-tridactyl package in #2164.

#5 - 2022-04-25 10:28 AM - bill-auger
there may be nothing wrong with firefox-tridactyl - the package

depends on 'firefox’; so it is not installable

#6 - 2022-05-01 01:54 PM - bill-auger

- Status changed from in progress to fixed
